<?php
$id = get_query_var('id');
$setting = get_query_var('settings');
$product = wc_get_product($id);
$regular_price = $product->get_regular_price();
$sale_price = $product->get_sale_price();
$rating  = $product->get_average_rating();
$count   = $product->get_rating_count();
$sales_price_to   = $product->get_date_on_sale_to();

//Check if product has sale date
if ($sales_price_to != null):
    $sales_price_date_to = $sales_price_to->date("F j, Y G:i:s");
?>
    <div class="special-offer section">
        <div class="offer-content">
            <div class="image">
                <img src="<?php echo get_the_post_thumbnail_url($id, 'full'); ?>" alt="<?php echo get_the_title($id); ?>">
                <?php
                $minus = $regular_price - $sale_price;
                $discount = ($minus * 100) / $regular_price;
                ?>
                <?php if ($setting['countdown_rtl_show_discount'] == 'yes'): ?>
                    <span class="sale-tag">%<?php echo round($discount) . ' -'; ?></span>
                <?php endif; ?>
            </div>
            <div class="text">
                <h2><a href="<?php echo get_the_permalink($id); ?>"><?php echo get_the_title($id); ?></a></h2>
                <?php if ($setting['countdown_rtl_show_rate'] == 'yes'): ?>
                    <ul class="woocommerce mt-1 rtl_review">
                        <li class="d-flex align-items-center justify-content-start rtl_review_item">
                            <?php if ($rating) : ?>
                                <?php echo '<div class="star-rating" title="' . sprintf(__('Rated %s out of 5', 'woocommerce'), $rating) . '"><span style="width:' . (($rating / 5) * 100) . '%">' . sprintf(__('out of 5', 'woocommerce')) . '</span></div>'; ?>
                            <?php endif; ?>
                            <strong itemprop="ratingValue" class="rating"><?php echo $count; ?> <?php echo __('Review(s)', 'product-countdown'); ?></strong>
                        </li>
                    </ul>
                <?php endif; ?>
                <div class="price">
                    <span><?php echo number_format($sale_price) . ' ' . get_woocommerce_currency_symbol(); ?></span>
                    <span class="discount-price"><?php echo number_format($regular_price) . ' ' . get_woocommerce_currency_symbol(); ?></span>
                </div>
                <?php if ($setting['countdown_rtl_show_excerpt'] == 'yes'): ?>
                    <p><?php echo wc_get_product($id)->get_short_description(); ?></p>
                <?php endif; ?>
            </div>
            <?php if($setting['countdown_rtl_show_timer'] == 'yes'):?>
            <div class="box-head" data-time="<?php echo $sales_price_date_to; ?>">
                <div class="box">
                    <h1 id="days">0</h1>
                    <h2 id="daystxt"><?php echo __('Days', 'product-countdown'); ?></h2>
                </div>
                <div class="box">
                    <h1 id="hours">0</h1>
                    <h2 id="hourstxt"><?php echo __('Hours', 'product-countdown'); ?></h2>
                </div>
                <div class="box">
                    <h1 id="minutes">0</h1>
                    <h2 id="minutestxt"><?php echo __('Minutes', 'product-countdown'); ?></h2>
                </div>
                <div class="box">
                    <h1 id="seconds">0</h1>
                    <h2 id="secondstxt"><?php echo __('Secondes', 'product-countdown'); ?></h2>
                </div>
            </div>
            <div style="background: rgb(204, 24, 24);" class="alert">
                <h1>
                    <?php
                    $product_name = get_the_title($id);
                    $translated_string = sprintf(__('You are late!! Product %s discount is over.', 'product-countdown'), $product_name);
                    echo esc_html($translated_string);
                    ?>
                </h1>
            </div>
            <?php endif;?>
        </div>
    </div>
<?php else: ?>
    <p><?php echo __('Please select a product is on sale and has sale date', 'product-countdown'); ?></p>
<?php endif; ?>